vegvisir/routes/web.php
<?php
use App\Http\Controllers\IndexController;
use App\Http\Controllers\Admin\ServiceController;
use App\Http\Controllers\ContactoController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/home', [IndexController::class, 'index'])->name('home');
//formulario de contacto
Route::post('/create/contact', [ContactoController::class, 'send'])->name('store.contact');

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');

require __DIR__.'/auth.php';

/** ADMIN */
Route::resource('/admin/services', ServiceController::class);

vegvisir/app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

vegvisir/app/Http/Controllers/ContactoController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Mail\MessageReceived;
use Illuminate\Support\Facades\Mail;
use App\Http\Requests\ContactFormRequest;

class ContactoController extends Controller
{
    public function send(ContactFormRequest $request)
    {
        
        try {
                 
            $msg = $request->all();
            
            Mail::to(env('MAIL_FROM_ADDRESS'))->send(new MessageReceived($msg));
            return redirect()->to(route('home') . '#contact')->with('success','Mensaje enviado con éxito');
           
               
        } catch (\Exception $e) {
            \Log::error(__METHOD__ . ' ::: Error storing contact [ ' . $e->getMessage() . ' ]');
            return redirect()->to(route('home') . '#contact')->with('error','Error intente más tarde');
        }

    }
}

vegvisir/app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

vegvisir/app/Http/Controllers/IndexController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class IndexController extends Controller
{
    public function index()
    {
        return view('index');
    }
}

vegvisir/app/Http/Controllers/admin/ServiceController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\ServiceRequest;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use App\Models\Service;
use Image;


class ServiceController extends Controller
{


    
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      //$services = Service::all();
      return view('admin.services.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.services.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(ServiceRequest $request)
    {
        try {
        
            $imagen = $request->file('image');
            $data = $request->all();
            $data['image'] = subirImagen($imagen, public_path('images/services'), $request->name);
            Service::create($data);
            return redirect('/admin/services')->with('success','Servicio agregado con éxito');
          
    }  
    catch(\Exception $e){
        Log::error(__METHOD__ . ' :: ' . $e->getMessage());
        Log::error(__METHOD__ . ' :: ' . $e->getTraceAsString());

        return redirect('/admin/services')->with('error','Error intente más tarde');   
    }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $service = Service::find($id);  
        return view('admin.services.edit',compact('service'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(ServiceRequest $request, $id)
    {
        $service = Service::find($id);
        $imagenPrevia = $service->image;
      
        try {
            if ($request->hasFile('image')){
              
              $imagen = $request->file('image'); 
              
  
              $ruta = public_path('images/services');
              unlink($ruta.'/'.$imagenPrevia);
              unlink($ruta.'/thumbs/'.$imagenPrevia);
              $service->image = subirImagen($imagen, public_path('images/services'), $request->name);
            }
              
              $service->name= $request->name;
              $service->description= $request->description;
              $service->save();
  
              return redirect('/admin/services')->with('success','Servicio modificado con éxito');
    
       }catch(\Exception $e){
              
            Log::error(__METHOD__ . ' :: ' . $e->getMessage());
            Log::error(__METHOD__ . ' :: ' . $e->getTraceAsString());
              
            return redirect('/admin/services')->with('error','Error intente más tarde');
                
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        try {
            $services = Service::find($id);
            $imagenPrevia = $services->image;
            
            $services->delete();
            $ruta = public_path('images/services');
            unlink($ruta.'/'.$imagenPrevia);
            unlink($ruta.'/thumbs/'.$imagenPrevia);
              
            return redirect('/admin/services')->with('eliminado','Servicio eliminado con éxito');
      
        } catch(\Exception $e){
                  
            Log::error(__METHOD__ . ' :: ' . $e->getMessage());
            Log::error(__METHOD__ . ' :: ' . $e->getTraceAsString());
            return redirect('/admin/services')->with('error','Error intente más tarde');        
          }
    }
}

vegvisir/app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.app');
    }
}

vegvisir/app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.guest');
    }
}

vegvisir/resources/views/admin/services/create.blade.php
@extends('admin.template.master')
@section('title', 'Servicios')

@section('contenido')
<body class="nav-md">
  <div class="container body">
    <div class="main_container">
      @include('admin.template.menu')
      @include('admin.template.top_nav')
      <!-- page content -->
      <div class="right_col" role="main">
        <div class="page-title">
          <div class="title_left">
            <h3>Registrar Nuevo Servicio</h3>
          </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
          <div class="col-md-12 col-sm-12 ">
            <div class="x_panel">
              <div class="x_content">
                <div class="row">
                  <div class="col-sm-12">
                    <br><br>
                    <form class="form-horizontal form-label-left" enctype="multipart/form-data" action="{{ route('services.store') }}" method="POST">
                      @csrf
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="imagen">Imagen o Icono del servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <input type="file" name="image" id="imagen" accept="image/jpg,image/jpeg,image/bmp,image/png" required>
                        </div>
                      </div>
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="titulo">Nombre del Servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <input type="text" id="titulo" name="name" class="form-control" required>
                        </div>
                      </div>
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="descripcion">Breve Descripción del Servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <textarea name="description" id="descripcion" class="form-control" rows="3" style="resize: none" maxlength="250" required></textarea>
                        </div>
                      </div>
                      @if ($errors->any())
                        <div class="alert alert-danger" role="alert">
                          <h4 class="is-size-4">Por favor, valida los siguientes errores:</h4>
                          <ul>
                            @foreach ($errors->all() as $error)
                              <li>{{ $error }}</li>
                            @endforeach
                          </ul>
                        </div>
                      @endif
                      <div class="ln_solid"></div>
                      <div class="item form-group">
                        <div class="col-md-6 col-sm-6 offset-md-3">
                          <button type="submit" class="btn btn-success">Guardar</button>
                        </div>
                      </div>  
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>        
      </div>
      <!-- /page content -->
      @include('admin.template.footer')
    </div>
  </div>
</body>
@endsection

vegvisir/resources/views/admin/services/edit.blade.php
@extends('admin.template.master')
@section('title', 'Servicios')

@section('contenido')
<body class="nav-md">
  <div class="container body">
    <div class="main_container">
      @include('admin.template.menu')
      @include('admin.template.top_nav')
      <!-- page content -->
      <div class="right_col" role="main">
        <div class="page-title">
          <div class="title_left">
            <h3>Editar Servicio</h3>
          </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
          <div class="col-md-12 col-sm-12 ">
            <div class="x_panel">
              <div class="x_content">
                <div class="row">
                  <div class="col-sm-12">
                    <br><br>
                    <form class="form-horizontal form-label-left" enctype="multipart/form-data" action="{{ route('services.update',$service->id) }}" method="POST">
                      @csrf
                      @method('PUT')
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="imagen">Imagen o Icono del servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <input type="file" name="image" id="imagen" accept="image/jpg,image/jpeg,image/bmp,image/png" >
                        </div>
                      </div>
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="titulo">Nombre del Servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <input type="text" id="titulo" name="name" value="{{ $service->name }}" class="form-control" required>
                        </div>
                      </div>
                      <div class="item form-group">
                        <label class="col-form-label col-md-3 col-sm-3 label-align" for="descripcion">Breve Descripción del Servicio <span class="required">*</span></label>
                        <div class="col-md-6 col-sm-6">
                          <textarea name="description" id="descripcion" class="form-control" rows="3" required style="resize: none" maxlength="250" >{{ $service->description }}</textarea>
                        </div>
                      </div>
                      @if ($errors->any())
                        <div class="alert alert-danger" role="alert">
                          <h4 class="is-size-4">Por favor, valida los siguientes errores:</h4>
                          <ul>
                            @foreach ($errors->all() as $error)
                              <li>{{ $error }}</li>
                            @endforeach
                          </ul>
                        </div>
                      @endif
                      <div class="ln_solid"></div>
                      <div class="item form-group">
                        <div class="col-md-6 col-sm-6 offset-md-3">
                          <button type="submit" class="btn btn-success">Actualizar</button>
                        </div>
                      </div>  
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>        
      </div>
      <!-- /page content -->
      @include('admin.template.footer')
    </div>
  </div>
</body>
@endsection

vegvisir/resources/views/admin/services/index.blade.php
@extends('admin.template.master')
@section('title', 'Servicios')

@section('contenido')

<div class="container body">
    <div class="main_container">
      @include('admin.template.menu')
      @include('admin.template.top_nav')
      <!-- page content -->
      <div class="right_col" role="main">
        <div class="page-title">
          <div class="title_left">
            <h3>Servicios</h3>
          </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
          <div class="col-md-12 col-sm-12 ">
            <div class="x_panel">
              <div class="x_title">
                <a class="btn btn-primary" href="" role="button">Agregar servicio</a>
                
                <div class="clearfix"></div>
              </div>
              <div class="x_content">
                <div class="row">
                  <div class="col-sm-12">
                    <div class="card-box table-responsive">
                      <table id="datatable" class="table table-striped table-bordered" style="width:100%">
                        <thead>
                          <tr>
                            <th>Imagen</th>
                            <th>Nombre</th>
                            <th>Acción</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            {{-- @foreach($services as $item)
                            <td><img src="{{asset('/images/services/thumbs/'.$item->image)}}" width="100"></td>
                            <td> {{$item->name}} </td>

                            <td> 
                              <div class="row">
                                <a class="btn btn-info" data-toggle="tooltip" data-placement="top" title="Actualizar servicio" href="{{ route ('services.edit',$item->id)}}"> <i class="fa fa-pencil-square-o"></i></a>
                                <form action="{{ route ('services.destroy',$item->id)}}" class="form-eliminar" method="POST">
                                @csrf
                                @method('DELETE')  
                                  <button type="submit" class="btn btn-danger" data-toggle="tooltip" data-placement="top" title="Eliminar servicio"><i class="fa fa-trash"></i></button>
                              </form>
                              </div>
                           </td>
                          </tr>
                          @endforeach --}}
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- /page content -->
      @include('admin.template.footer')
    </div>
  </div>
@endsection

@section('scripts')

<script>

$(document).ready(function() {
      toastr.options.timeOut = 1500;
      @if (Session::has('error'))
          toastr.error('{{ Session::get('error') }}');
      @elseif(Session::has('success'))
          toastr.success('{{ Session::get('success') }}');
      @elseif(Session::has('eliminado'))
      toastr.success('{{ Session::get('eliminado') }}');
      @endif
    });

$('.form-eliminar').submit(function(e){
      e.preventDefault();
      Swal.fire({
      title: "¿Estas seguro?",
      text: "Una vez eliminado, no podrá recuperar esta información!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: 'Si, eliminar!',
      cancelButtonText: 'Cancelar'
    }).then((result) => {
      if (result.isConfirmed) {
      this.submit();
      }
    })
});



  $('#datatable').DataTable({
      "lengthMenu": [[5, 10, 50, -1 ], [5, 10, 50, "Todos"]],
      "language": {
            "lengthMenu": "Mostrar _MENU_ registros ",
            "zeroRecords": "Nada encontrado",
            "info": "Mostrando la página _PAGE_ of _PAGES_",
            "infoEmpty": "No records available",
            "infoFiltered": "(Filtrado de _MAX_ registros totales)",
            "search": "Buscar",
            'paginate':{
              'next':'Siguiente',
              'previous':'Anterior'
            }
        }
    });
</script>
@endsection

vegvisir/resources/views/admin/template/footer.blade.php
<footer>
  <div class="pull-right">
    Desarrollado por <a href="https://teckware">Teckware</a>
  </div>
  <div class="clearfix"></div>
</footer>

vegvisir/resources/views/admin/template/master.blade.php
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>Vegvisir @yield('titulo')</title>

  <!-- Bootstrap -->
  <link href="{{url('admin/assets/vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
  <!-- Font Awesome -->
  <link href="{{url('admin/assets/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
  <!-- NProgress -->
  <link href="{{url('admin/assets/vendors/nprogress/nprogress.css')}}" rel="stylesheet">
  <!-- Animate.css -->
  <link href="{{url('admin/assets/vendors/animate.css/animate.min.css')}}" rel="stylesheet">
  <!-- Datatables -->
  <link href="{{url('admin/assets/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css')}}" rel="stylesheet">
  <link href="{{url('admin/assets/build/css/custom.min.css')}}" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA==" crossorigin="anonymous" referrerpolicy="no-referrer" />

  @yield('css')
  
</head>
<body class="nav-md">
  @yield('contenido')
   


  <!-- jQuery -->
<script src="{{url('admin/assets/vendors/jquery/dist/jquery.min.js')}}"></script>
<!-- Bootstrap -->
<script src="{{url('admin/assets/vendors/bootstrap/dist/js/bootstrap.bundle.min.js')}}"></script>
<!-- FastClick -->
<script src="{{url('admin/assets/vendors/fastclick/lib/fastclick.js')}}"></script>
<!-- NProgress -->
<script src="{{url('admin/assets/vendors/nprogress/nprogress.js')}}"></script>
<!-- Chart.js -->
<script src="{{url('admin/assets/vendors/Chart.js/dist/Chart.min.js')}}"></script>
<!-- gauge.js -->
<script src="{{url('admin/assets/vendors/gauge.js/dist/gauge.min.js')}}"></script>
<!-- bootstrap-progressbar -->
<script src="{{url('admin/assets/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
<!-- iCheck -->
<script src="{{url('admin/assets/vendors/iCheck/icheck.min.js')}}"></script>
<!-- Skycons -->
<script src="{{url('admin/assets/vendors/skycons/skycons.js')}}"></script>
<!-- Flot -->
<script src="{{url('admin/assets/vendors/Flot/jquery.flot.js')}}"></script>
<script src="{{url('admin/assets/vendors/Flot/jquery.flot.pie.js')}}"></script>
<script src="{{url('admin/assets/vendors/Flot/jquery.flot.time.js')}}"></script>
<script src="{{url('admin/assets/vendors/Flot/jquery.flot.stack.js')}}"></script>
<script src="{{url('admin/assets/vendors/Flot/jquery.flot.resize.js')}}"></script>
<!-- Flot plugins -->
<script src="{{url('admin/assets/vendors/flot.orderbars/js/jquery.flot.orderBars.js')}}"></script>
<script src="{{url('admin/assets/vendors/flot-spline/js/jquery.flot.spline.min.js')}}"></script>
<script src="{{url('admin/assets/vendors/flot.curvedlines/curvedLines.js')}}"></script>
<!-- DateJS -->
<script src="{{url('admin/assets/vendors/DateJS/build/date.js')}}"></script>
<!-- JQVMap -->
<script src="{{url('admin/assets/vendors/jqvmap/dist/jquery.vmap.js')}}"></script>
<script src="{{url('admin/assets/vendors/jqvmap/dist/maps/jquery.vmap.world.js')}}"></script>
<script src="{{url('admin/assets/vendors/jqvmap/examples/js/jquery.vmap.sampledata.js')}}"></script>
<!-- bootstrap-daterangepicker -->
<script src="{{url('admin/assets/vendors/moment/min/moment.min.js')}}"></script>
<script src="{{url('admin/assets/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
<!-- Datatables -->
<script src="{{url( 'admin/assets/vendors/datatables.net/js/jquery.dataTables.min.js' )}}"></script>
<script src="{{url( 'admin/assets//vendors/datatables.net-bs/js/dataTables.bootstrap.min.js' )}}"></script>
<!-- Custom Theme Scripts -->
<script src="{{url('admin/assets/build/js/custom.min.js')}}"></script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
@yield('scripts') 
</body>

</html>

vegvisir/resources/views/admin/template/menu.blade.php
<div class="col-md-3 left_col">
  <div class="left_col scroll-view">
    <div class="navbar nav_title" style="border: 0;">
      <a href="{{url('/dashboard')}}" class="site_title"><span>VegVisir</span></a>
    </div>

    <div class="clearfix"></div>

    <!-- menu profile quick info -->
    <div class="profile clearfix">
      <div class="profile_info">
        <span>Bienvenido: </span>
        <h2>{{ session('username') }}</h2>
      </div>
    </div>
    <!-- /menu profile quick info -->

    <br />

    <!-- sidebar menu -->
    <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
      <div class="menu_section">
        <h3>General</h3>
        <ul class="nav side-menu">
          
          <li><a href="{{ url('admin/services') }}"><i class="fa fa-wrench"></i>Servicios</a></li>
          <li><a href="{{ url('admin/products') }}"><i class="fa fa-laptop"></i>Productos</a></li>
          <li><a href="{{ url('/admin/about') }}"><i class="fa fa-info-circle"></i>Sobre Nosotros</a></li>
          <li><a href="{{ url('/admin/team') }}"><i class="fa fa-users"></i>Equipo</a></li>
          <li><a href="{{ url('/admin/portfolio') }}"><i class="fa fa-briefcase"></i>Portafolio</a></li>
          <li><a href="{{ url('/admin/categories') }}"><i class="fa fa-desktop"></i>Categorias</a></li>
     
        </ul>
      </div>

    </div>
    <!-- /sidebar menu -->

    <!-- /menu footer buttons -->
    <div class="sidebar-footer hidden-small">
      <a data-toggle="tooltip" data-placement="top" title="Configuración"  href="{{ url('/administracion/configuracion') }}">
        <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
      </a>
      
      <a data-toggle="tooltip" data-placement="top" title="Logout" href="{{ url('/logout') }}">
        <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
      </a>
    </div>
    <!-- /menu footer buttons -->
  </div>
</div>

vegvisir/resources/views/admin/template/top_nav.blade.php
<!-- top navigation -->
<div class="top_nav">
  <div class="nav_menu">
      <div class="nav toggle">
        <a id="menu_toggle"><i class="fa fa-bars"></i></a>
      </div>
      <nav class="nav navbar-nav">
      <ul class=" navbar-right">
        <li class="nav-item dropdown open" style="padding-left: 15px;">
          <a href="javascript:;" class="user-profile dropdown-toggle" aria-haspopup="true" id="navbarDropdown" data-toggle="dropdown" aria-expanded="false">
            {{ session('username') }}
          </a>
          <div class="dropdown-menu dropdown-usermenu pull-right" aria-labelledby="navbarDropdown">
            <form method="POST" action="{{ route('logout') }}">
              @csrf
            <button class="dropdown-item"  href=""><i class="fa fa-sign-out pull-right"></i> Cerrar Sesión</button>
            </form>
          </div>
        </li>

    
      </ul>
    </nav>
  </div>
</div>
<!-- /top navigation -->

vegvisir/resources/views/dashboard.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    You're logged in!
                </div>
            </div>
        </div>
    </div>
</x-app-layout>

vegvisir/resources/views/email.blade.php
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mensaje de contacto</title>
</head>
<body>
    
    <p>Recibiste un mensaje de {{ $msg['name'] }}</p>
    <p>Asunto: {{ $msg['subject'] }}</p>
    <p>Mensaje: {{ $msg['message'] }}</p>
    <p>Email: {{ $msg['email'] }}</p>
</body>
</html>

vegvisir/resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @include('layouts.navigation')

            <!-- Page Heading -->
            <header class="bg-white shadow">
                <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                    {{ $header }}
                </div>
            </header>

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>
    </body>
</html>